zhangchen01
Contributor
Contributor

SSL error when running uagdeploy.ps1 script

I am running with the script to deploy UAG, it error out with the following exception, any idea how to resolve this?

Enter an optional admin password for the REST API management access for uag_bat:
Deployment will use a self-signed SSL/TLS server certificate
Opening OVA source: C:\euc-unified-access-gateway-3.2.0.0-7395815_OVF10.ova
The manifest validates
Source is signed and the certificate validates
Accept SSL fingerprint (D2:50:B1:B0:FD:E6:B0:69:4E:B8:5D:5C:24:10:68:74:2E:56:2B:42) for host vcenter-qa-04.dt.company.com as target type.
Fingerprint will be added to the known host file
Write 'yes' or 'no'
yes
Error:
Error processing attribute "type" with value "OverheadMemoryManager"

while parsing MoRef for ManagedObject of type vim.OverheadMemoryManager
at line 7, column 3236

while parsing property "overheadMemoryManager" of static type OverheadMemoryManager

while parsing serialized DataObject of type vim.ServiceInstanceContent
error parsing Any with xsiType ServiceContent
at line 7, column 33

while parsing return value of type vim.ServiceInstanceContent, version vim.version.version10
at line 7, column 0

while parsing SOAP body
at line 6, column 0

while parsing SOAP envelope
at line 2, column 0

while parsing HTTP response for method GetContent
on object of type vim.ServiceInstance
at line 1, column 0
Completed with errors

0 Kudos
4 Replies
markbenson
VMware Employee
VMware Employee

It's a vSphere compatibility issue between OVFTool 4.0.0 and ESXi 6.0 and newer. You should be using OVFTool 4.2.0.

See Using PowerShell to Deploy VMware Unified Access Gateway

The requirements section says "Install OVF Tool 4.2.0 or newer".

This isn't a Unified Access Gateway issue. Let us know if you resolve this.

0 Kudos
zhangchen01
Contributor
Contributor

it is ovftool version, thank you

0 Kudos
wakeman811
Enthusiast
Enthusiast

I have OVF Tool 4.3.0 installed and ended up needing to use the -noSSLVerify cmd line switch:
c:\temp\uagdeploy.ps1 .\uag1-basic.ini -noSSLVerify

ESXi-6.7.0-8169922-standard

0 Kudos
markbenson
VMware Employee
VMware Employee

zhangchen01 This thread should be marked as answered now.

0 Kudos